package ru.ulstu.user.model;

import ru.ulstu.core.model.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@Entity
@Table(name = "users_conference")
public class UserConference extends BaseEntity {

    @NotNull
    @Column(name = "participation", nullable = false)
    private String participation;

    @NotNull
    @Column(name = "deposit", nullable = false)
    private String deposit;

    @ManyToOne(optional = false)
    @JoinColumn(name = "users_id")
    private User user;

}
